%define upstream_name    Math-Libm
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl extension for the C math library, libm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module is a translation of the C _math.h_ file. It exports the
following selected constants and functions.

EXPORT
    None by default.

Exportable constants
      M_1_PI
      M_2_PI
      M_2_SQRTPI
      M_E
      M_LN10
      M_LN2
      M_LOG10E
      M_LOG2E
      M_PI
      M_PI_2
      M_PI_4
      M_SQRT1_2
      M_SQRT2

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-5.mga4
+ Revision: 524924
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.0.0-4.mga4
+ Revision: 431624
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 369608
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0.0-2.mga3
+ Revision: 250945
- rebuild for perl 5.16

* Sat Nov 19 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 169459
- imported package perl-Math-Libm


* Sat Nov 19 2011 cpan2dist 1.00-1mga
- initial mageia release, generated with cpan2dist
